Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] Fehler bei emerge virtualbox-guest-additions
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
cng
Guru
Guru


Joined: 25 Feb 2004
Posts: 332
Location: Appenzell

PostPosted: Mon May 09, 2016 9:10 am    Post subject: [solved] Fehler bei emerge virtualbox-guest-additions Reply with quote

Hallo miteinander

Bei der Installation von emerge virtualbox-guest-additions erhalte ich bei den letzten 2 Packages nachfolgende Fehlermeldung:

Code:
emerge —info x11-drivers/xf86-video-virtualbox-4.3.32

Invalid atom in /etc/portage/package.accept_keywords: app-emulation/virtualbox-guest-addition-4.3.32
Invalid atom in /etc/portage/package.accept_keywords: x11-drivers/xf86-video-virtualbox-4.3.32

x11-drivers/xf86-video-virtualbox-4.3.32 is not a valid package atom
Please check ebuild(5) for full details


Meine package.keywords sieht so aus:
Code:
app-emulation/virtualbox-guest-additions-4.3.32 -amd64
x11-drivers/xf86-video-virtualbox-4.3.32 -amd64
x11-drivers/xf86-input-virtualbox-4.3.32 -amd64


In der make.conf habe ich das drin:
Code:
USE="X bindist mmx see sse2 truetype -gtk -gnome -qt4 -kde"
INPUT_DEVICES="evdev"
VIDEO_CARDS="virtualbox"


Es gibt so viele unterschiedliche Anleitungen, wie man das installieren könnte, dass ich langsam den Überblick verloren habe. Ich habe auch versucht in der make.conf mit nvidia .. und vieles mehr.

Kann mir jemand sagen was ich falsch mache?

Merci und LG
Michael
_________________
Gentoo-Community - Your family
#####################


Last edited by cng on Tue May 17, 2016 5:26 pm; edited 2 times in total
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Mon May 09, 2016 9:48 am    Post subject: Reply with quote

du musst ein = vor den Namen setzten, wenn du die Versionsnummer angibst. Oder lass die Versionsnummer weg.

Code:
=app-emulation/virtualbox-guest-additions-4.3.32 -amd64
=x11-drivers/xf86-video-virtualbox-4.3.32 -amd64
=x11-drivers/xf86-input-virtualbox-4.3.32 -amd64

Oder
Code:
app-emulation/virtualbox-guest-additions -amd64
x11-drivers/xf86-video-virtualbox -amd64
x11-drivers/xf86-input-virtualbox -amd64


Und es sollte wohl eher ~amd64 statt -amd64 heißen
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
cng
Guru
Guru


Joined: 25 Feb 2004
Posts: 332
Location: Appenzell

PostPosted: Mon May 09, 2016 11:32 am    Post subject: Reply with quote

Danke firefly

Ich habe die Version nun entfernt, wusste das mit dem = nicht, und natürlich das - durch ein ~ ersetzt, wobei auf einer MacBook-Tastatur wars nicht so einfach das Zeichen zu finden. Die Funktionstaste funktioniert ja noch nicht :)

Nun erhalte ich nur noch folgende Meldung:
Code:
emerge —info x11-drivers/xf86-video-virtualbox-4.3.32

x11-drivers/xf86-video-virtualbox-4.3.32 is not a valid package atom
Please check ebuild(5) for full details


Ich habe mir allfällige Fehler beim emergen mit 2> in ein File umleiten lassen. Dieses File ist aber leer.
Was könnte noch falsch sein?
_________________
Gentoo-Community - Your family
#####################
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Mon May 09, 2016 1:06 pm    Post subject: Reply with quote

cng wrote:
Danke firefly

Ich habe die Version nun entfernt, wusste das mit dem = nicht, und natürlich das - durch ein ~ ersetzt, wobei auf einer MacBook-Tastatur wars nicht so einfach das Zeichen zu finden. Die Funktionstaste funktioniert ja noch nicht :)

Nun erhalte ich nur noch folgende Meldung:
Code:
emerge —info x11-drivers/xf86-video-virtualbox-4.3.32

x11-drivers/xf86-video-virtualbox-4.3.32 is not a valid package atom
Please check ebuild(5) for full details


Ich habe mir allfällige Fehler beim emergen mit 2> in ein File umleiten lassen. Dieses File ist aber leer.
Was könnte noch falsch sein?

Auch hier musst du eine = angeben, wenn du eine bestimmte versionsnummer eines paketes installieren möchtest... Aber wiso hast du die angabe der Version aus dem packate_keywords file entfernt?
Denn so wie es aktuell ist würde portage beim nächsten world update die aktuellste version von x11-drivers/xf86-video-virtualbox installieren, die im portage tree vorhanden ist und die ist 5.x
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
cng
Guru
Guru


Joined: 25 Feb 2004
Posts: 332
Location: Appenzell

PostPosted: Mon May 09, 2016 1:37 pm    Post subject: Reply with quote

Ich ging nach dieser Anleitung http://gentoo-en.vfose.ru/wiki/Virtualbox_Guest und bekam bei der Installation den Hinweis (Fehlermeldung) wegen der Versionisierung. Aus diesem Grund habe ich eine Versionsnummer hinzugefügt, was ich bei meinen früheren Installationen (nicht Virtualisiert) nie gemacht hatte.

Auch wenn ich x11-drivers/xf86-video-virtualbox direkt emerge und danach die virtual-guest-addition emerge, bekomme ich ebenfalls den gleichen Fehler.
Ich habe nun die Version inkl = wieder hinzugefügt und auch hier, ohne Erfolg.

Müsste ich es anders angehen, da ich gentoo als Gast in deiner Virtualbox auf einem MacBook installiere?
In einigen Fällen wurde nvidia installiert und in make.conf angegeben.. Das probierte ich ebenfalls erfolglos..

Sorry, aber da hab ich echt nicht viel Ahnung davon..

Danke
_________________
Gentoo-Community - Your family
#####################
Back to top
View user's profile Send private message
cng
Guru
Guru


Joined: 25 Feb 2004
Posts: 332
Location: Appenzell

PostPosted: Tue May 17, 2016 5:24 pm    Post subject: Reply with quote

Inzwischen konnte ich das Problem lösen.

Um die virtualbox-guest-additions emerged zu können, musste ich in /etc/portage/package.accept_keywords folgendes hinzufügen:
Code:

=app-emulation/virtualbox-guest-additions-5.0.20
=x11-drivers/xf86-video-virtualbox-5.0.20-r1

Merkwürdigerweise funktionierte es nur in dieser Konstellation, 1x ohne und 1x mit -r1

Um die Resolution noch hinzubiegen, musste ich in der /etc/default/grub folgendes hinzufügen
Code:
GRUB_GFXMODE=1600x1200x32
GRUB_GFXPAYLOAD_LINUX=keep

danach noch ein
Code:
grub-mkconfig -o /boot/grub/grub.cfg

_________________
Gentoo-Community - Your family
#####################
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum